Bug 670999 - Review Request: perl-MongoDB - Database driver
Summary: Review Request: perl-MongoDB - Database driver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 670997
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-19 21:23 UTC by Michal Ingeli
Modified: 2016-02-16 08:02 UTC (History)
5 users (show)

Fixed In Version: perl-MongoDB-0.41-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-24 20:56:03 UTC
lkundrak: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Michal Ingeli 2011-01-19 21:23:05 UTC
Spec URL: http://v3.sk/~xyzz/rpm/perl-MongoDB.spec
SRPM URL: http://v3.sk/~xyzz/rpm/perl-MongoDB-0.41-1.fc14.src.rpm

Description: 
The perl database access module for MongoDB.

Comment 1 Lubomir Rintel 2011-01-21 13:32:06 UTC
Taking this,

Comment 2 Lubomir Rintel 2011-01-21 17:10:55 UTC
~$ rpmlint -i /home/lkundrak/rpmbuild/RPMS/i686/perl-MongoDB-debuginfo-0.41-1.fc14.i686.rpm /home/lkundrak/rpmbuild/RPMS/i686/perl-MongoDB-0.41-1.fc14.i686.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Builds cleanly (though requires a perl(Data::Types) which does not seem to be in yet).

* License fine.
* Sanely filtered provides list.
* Sane filelist
* SPEC file clean and legible

Why do you require these? Does not autoreq pull them in?

Requires:       perl(Any::Moose)
Requires:       perl(boolean)
Requires:       perl(Class::Method::Modifiers)
Requires:       perl(DateTime)
Requires:       perl(Tie::IxHash)

Comment 3 Michal Ingeli 2011-01-22 18:05:10 UTC
(In reply to comment #2)

> Why do you require these? Does not autoreq pull them in?
> 
> Requires:       perl(Any::Moose)
> Requires:       perl(boolean)
> Requires:       perl(Class::Method::Modifiers)
> Requires:       perl(DateTime)
> Requires:       perl(Tie::IxHash)

Yes, it does. But except the perl(Class::Method::Modifiers), so I left that one there.

spec: http://v3.sk/~xyzz/rpm/perl-MongoDB.spec
srpm: http://v3.sk/~xyzz/rpm/perl-MongoDB-0.41-2.fc14.src.rpm

Comment 4 Ralf Corsepius 2011-01-23 06:04:36 UTC
(In reply to comment #3)
> (In reply to comment #2)

> Yes, it does. But except the perl(Class::Method::Modifiers), so I left that one
> there.

Hmm, INSTALL and META.yml say this module would require Class::Method::Modifiers, but I can't spot any place inside of run-time part of this perl module, which actually requires it:

# grep -R Class::Method::Modifiers MongoDB-0.41
MongoDB-0.41/Makefile.PL:requires 'Class::Method::Modifiers';
MongoDB-0.41/META.yml:  Class::Method::Modifiers: 0
MongoDB-0.41/INSTALL:  sudo cpan Class::Method::Modifiers


Besides this, package does not build in mock:
...
error: line 1: Unknown tag: %perl_default_filter
...

Comment 5 Michal Ingeli 2011-01-23 10:05:35 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > (In reply to comment #2)
> 
> > Yes, it does. But except the perl(Class::Method::Modifiers), so I left that one
> > there.
> 
> Hmm, INSTALL and META.yml say this module would require
> Class::Method::Modifiers, but I can't spot any place inside of run-time part of
> this perl module, which actually requires it:
> 
> # grep -R Class::Method::Modifiers MongoDB-0.41
> MongoDB-0.41/Makefile.PL:requires 'Class::Method::Modifiers';
> MongoDB-0.41/META.yml:  Class::Method::Modifiers: 0
> MongoDB-0.41/INSTALL:  sudo cpan Class::Method::Modifiers

The comment in Makefile.PL says:

# C::M::Modifiers isn't always needed. It'll be used only if Any::Moose decides
# to use Mouse instead of Moose. We depend on it anyway to make sure it's there
# when it's needed.
requires 'Class::Method::Modifiers';

The Any::Moose, Moose, nor Mouse seems to require this package at runtime. Package builds without it, and test phase passes. It should be safe to remove this.
 
> Besides this, package does not build in mock:
> ...
> error: line 1: Unknown tag: %perl_default_filter

Added condition for this macro. Now it builds in mock.

I additionally added Try::Tiny, as it is needed for tests. The test phase will be skipped at normal mock build, because we cannot have mongod running. But one can run them locally.

rpms: http://v3.sk/~xyzz/rpm/perl-MongoDB-0.41-3.fc14.src.rpm
spec: http://v3.sk/~xyzz/rpm/perl-MongoDB.spec

Comment 6 Lubomir Rintel 2011-02-02 07:19:14 UTC
DEBUG util.py:247:  Error: No Package found for perl(Data::Types)

Is this ever going in?

Comment 7 Lubomir Rintel 2011-02-02 08:07:33 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2756322

2756322 build (dist-rawhide, perl-MongoDB-0.41-3.fc14.src.rpm) completed successfully

No outstanding problems known.

APPROVED

Comment 8 Michal Ingeli 2011-02-02 08:31:52 UTC
New Package SCM Request
=======================
Package Name: perl-MongoDB
Short Description: Database driver
Owners: ksyz
Branches: f14 el6

Comment 9 Kevin Fenzi 2011-02-03 20:55:39 UTC
Git done (by process-git-requests).

Comment 10 Michal Ingeli 2011-02-04 11:33:22 UTC
Thanks for the review and git.

Comment 11 Fedora Update System 2011-02-16 13:15:26 UTC
perl-MongoDB-0.41-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-MongoDB-0.41-3.fc14

Comment 12 Fedora Update System 2011-02-16 13:16:15 UTC
perl-MongoDB-0.41-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-MongoDB-0.41-3.fc15

Comment 13 Fedora Update System 2011-02-16 14:20:48 UTC
perl-MongoDB-0.41-3.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-MongoDB'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-MongoDB-0.41-3.fc15

Comment 14 Fedora Update System 2011-02-24 20:55:57 UTC
perl-MongoDB-0.41-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-03-03 03:25:02 UTC
perl-MongoDB-0.41-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.